"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequiredType = exports.Required = void 0;
/**
 * Create a not nullable type from an existing one
 * @param type The type to convert
 */
function Required(type) {
    return new RequiredType(type);
}
exports.Required = Required;
class RequiredType {
    constructor(type) {
        this._type = type;
    }
    get type() {
        return this._type;
    }
}
exports.RequiredType = RequiredType;
//# sourceMappingURL=Required.js.map