"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NullableType = exports.Nullable = void 0;
/**
 * Create a nullable type from an existing one
 * @param type The type to convert
 */
function Nullable(type) {
    return new NullableType(type);
}
exports.Nullable = Nullable;
class NullableType {
    constructor(type) {
        this._type = type;
    }
    get type() {
        return this._type;
    }
}
exports.NullableType = NullableType;
//# sourceMappingURL=Nullable.js.map